opencv: cv::FastAdjuster Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::FastAdjuster Class Reference

an adjust for the FAST detector. This will basically decrement or increment the threshhold by 1 More...

`#include <features2d.hpp>`

Inheritance diagram for cv::FastAdjuster:

List of all members.

## Public Member Functions
| FastAdjuster (int init_thresh=20, bool nonmax=true)
virtual bool | good () const
virtual void | tooFew (int min, int n_detected)
virtual void | tooMany (int max, int n_detected)
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
## Protected Attributes
bool | nonmax_
int | thresh_

## Detailed Description

an adjust for the FAST detector. This will basically decrement or increment the threshhold by 1

## Constructor & Destructor Documentation

cv::FastAdjuster::FastAdjuster | ( | int | init_thresh = `20`,
|  | bool | nonmax = `true`
| ) |  |

Parameters:

  init_thresh | the initial threshhold to start with, default = 20
  nonmax | whether to use non max or not for fast feature detection

## Member Function Documentation

virtual void cv::FastAdjuster::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual bool cv::FastAdjuster::good | ( | ) | const`[virtual]`

are params maxed out or still valid?

Returns:
  false if the parameters can't be adjusted any more

Implements cv::AdjusterAdapter.

virtual void cv::FastAdjuster::tooFew | ( | int | min,
|  | int | n_detected
| ) |  | `[virtual]`

too few features were detected so, adjust the detector params accordingly

Parameters:

  min | the minimum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

virtual void cv::FastAdjuster::tooMany | ( | int | max,
|  | int | n_detected
| ) |  | `[virtual]`

too many features were detected so, adjust the detector params accordingly

Parameters:

  max | the maximum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

## Member Data Documentation

bool cv::FastAdjuster::nonmax_`[protected]`

int cv::FastAdjuster::thresh_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines